Skip to content

Create an organization ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Create an organization, which will create an organization with only one node. You can choose the organization description information, root node custom ID, multi-language, etc.

Method name ​

ManagementClient.create_organization

Request parameters ​

NameTypeIs it requiredDefault valueDescriptionSample value
metadataobjectyes-Metadata information
organizationNamestringyes-Organization namesteam memory
organizationCodestringyes-Organization codesteamory
descriptionstringno-Organization descriptionOrganization description
openDepartmentIdstringno-Root node custom ID60b49eb83fd80adb96f26e68
i18n<a OrganizationNameI18nDtoNo-Multi-language settings{"organizationName":{"zh-CN":{"enabled":false,"value":"\u4e2d\u6587"},"en-US":{"enabled":false,"value":"English"}}}
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da
postIdListstring[]No-Post id list["xxx"]

Request Response ​

Type: OrganizationSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a OrganizationDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "organizationName": "test",
    "description": "desc",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "openDepartmentId": "60b49eb83fd80adb96f26e68",
    "hasChildren": true,
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "membersCount": 150,
    "i18n": {
      "organizationName": {
        "zh-CN": {
          "enabled": false,
          "value": "\u4e2d\u6587"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "tenantId": "623c20b2a062aaaaf41b17da",
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data Structure ​

OrganizationNameI18nDto ​

NameTypeIs this field required?DescriptionSample value
organizationNameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"\u4e2d\u6587"},"en-US":{"enabled":false,"value":"English"}}

LangObject ​

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"\u4e2d\u6587"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"\u7e41\u9ad4\u4e2d\u6587"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"\u65e5\u672c\u8a9e"}

LangUnit ​

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

OrganizationDto ​

NameTypeIs it required?DescriptionSample value
organizationCodestringyesOrganization codesteamory
organizationNamestringyesOrganization namesteam memory
descriptionstringnoOrganization descriptionOrganization description
createdAtstringnoCreation time2022-07-03T03:20:30.000Z
updatedAtstringnoModification time2022-07-03T03:20:30.000Z
departmentIdstringyesRoot node ID60b49eb83fd80adb96f26e68
openDepartmentIdstringNoRoot node custom ID60b49eb83fd80adb96f26e68
hasChildrenbooleanYesWhether to include child nodestrue
leaderUserIdsarrayNoDepartment leader ID["60b49eb83fd80adb96f26e68"]
membersCountnumberYesNumber of department members150
isVirtualNodebooleanyesIs it a virtual department?
i18nNoMulti-language settings Nested type: <a OrganizationNameI18nDto.{"organizationName":{"zh-CN":{"enabled":false,"value":"\u4e2d\u6587"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
tenantIdstringNoTenant ID623c20b2a062aaaaf41b17da
postIdListarrayNoPost id list["xxx"]
statusstringNoStatusfalse
allowstringNoAccess restriction["xxx"]

OrganizationNameI18nDto ​

NameTypeIs it required?DescriptionSample value
organizationNameYesMulti-language supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"\u4e2d\u6587"},"en-US":{"enabled":false,"value":"English"}}

LangObject ​

NameTypeRequiredDescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"\u4e2d\u6587"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"\u7e41\u9ad4\u4e2d\u6587"}
ja-JPYesMultilingual Japanese content Nested type: <a LangUnit.{"enabled":false,"value":"\u65e5\u672c\u8a9e"}

LangUnit ​

NameTypeIs it required?DescriptionSample value
enabledbooleanYesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringYesMultilingual content